#!/usr/bin/env python

import sys
import xml.dom.minidom
from operator import mul
        
xmldata = ""
for line in sys.stdin.readlines():
    xmldata += line

try:
    dom = xml.dom.minidom.parseString(xmldata)
except:
    sys.stderr.write("error processing XML\n")
    sys.exit(1)
    
articles = dom.getElementsByTagName("artikel")

for article in articles:
    les = article.getElementsByTagName("le")
    tes = article.getElementsByTagName("te")
    
    lines = []
    
    exception = False
    for le in les:
        for p in le.getElementsByTagName("p"):
            if p.firstChild != None and p.firstChild.data == "De uitgever heeft geen publicatierecht":
                exception = True

    if not exception:
        for le in les:
            for p in le.getElementsByTagName("p"):
                if p.firstChild != None:
                    sys.stdout.write("{0}\n".format(p.firstChild.data.encode("utf-8")))
        for te in tes:
            for p in te.getElementsByTagName("p"):
                if p.firstChild != None:
                    sys.stdout.write("{0}\n".format(p.firstChild.data.encode("utf-8")))
        
